Package it.ernytech.tdlib

## Class TdApi.GetUserProfilePhotos

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetUserProfilePhotos

Enclosing class:
  TdApi

    public static class TdApi.GetUserProfilePhotos
    extends TdApi.Function

Returns the profile photos of a user. The result of this query may be outdated: some photos might have been deleted already.

Returns `UserProfilePhotos`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `limit` Maximum number of photos to be returned; up to 100.
`int` `offset` The number of photos to skip; must be non-negative.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`GetUserProfilePhotos()` Default constructor.
`GetUserProfilePhotos​(int userId, int offset, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### userId

    public int userId

User identifier.

#### offset

    public int offset

The number of photos to skip; must be non-negative.

#### limit

    public int limit

Maximum number of photos to be returned; up to 100.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetUserProfilePhotos

    public GetUserProfilePhotos()

Default constructor.

#### GetUserProfilePhotos

    public GetUserProfilePhotos​(int userId,
                                int offset,
                                int limit)

Constructor for initialization of all fields.

Parameters:
  `userId` - User identifier.
  `offset` - The number of photos to skip; must be non-negative.
  `limit` - Maximum number of photos to be returned; up to 100.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR